Package com.sun.speech.freetts.en.us

# Class CMUTimeVoice

java.lang.Object
com.sun.speech.freetts.Voice
com.sun.speech.freetts.en.us.CMUVoice
com.sun.speech.freetts.en.us.CMUClusterUnitVoice
com.sun.speech.freetts.en.us.CMUTimeVoice

All Implemented Interfaces:
  `Dumpable`, `UtteranceProcessor`, `de.dfki.lt.freetts.ConcatenativeVoice`

public class CMUTimeVoice extends CMUClusterUnitVoice
Defines limited domain synthesis voice that specializes in telling the time. This is based on data created by the example time domain voice in FestVox.

## Field Summary

### Fields inherited from class com.sun.speech.freetts.en.us.CMUClusterUnitVoice

`database`

### Fields inherited from class com.sun.speech.freetts.Voice

`DATABASE_NAME, DEFAULT_AUDIO_PLAYER, DEFAULT_AUDIO_PLAYER_DEFAULT, FEATURE_JOIN_TYPE, FEATURE_SILENCE, PROP_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`CMUTimeVoice(String name, Gender gender, Age age, String description, Locale locale, String domain, String organization, CMULexicon lexicon, URL database)`
Creates a simple cluster unit voice

## Method Summary

Modifier and Type
Method
Description
`protected UtteranceProcessor`
`getPostLexicalAnalyzer()`
The FestVox voice does not take advantage of any post lexical processing.
`String`
`toString()`
Converts this object to a string

### Methods inherited from class com.sun.speech.freetts.en.us.CMUClusterUnitVoice

`getDatabase, getPitchmarkGenerator, getUnitConcatenator, getUnitSelector, setupFeatureSet`

### Methods inherited from class com.sun.speech.freetts.en.us.CMUVoice

`getAudioOutput, getPhoneFeature, getTokenizer, loader, setupFeatureProcessors, setupUtteranceProcessors`

### Methods inherited from class com.sun.speech.freetts.Voice

`addFeatureProcessor, allocate, createOutputThread, deallocate, dump, dumpProcessors, endBatch, getAge, getAudioPlayer, getDefaultAudioPlayer, getDescription, getDomain, getDurationStretch, getFeatureProcessor, getFeatures, getGender, getLexicon, getLocale, getName, getOrganization, getOutputQueue, getPitch, getPitchRange, getPitchShift, getRate, getResource, getRunTitle, getStyle, getUtteranceProcessors, getVolume, getWaveDumpFile, isDetailedMetrics, isDumpRelations, isDumpUtterance, isLoaded, isMetrics, load, processNode, processUtterance, setAge, setAudioPlayer, setDescription, setDetailedMetrics, setDomain, setDumpRelations, setDumpUtterance, setDurationStretch, setGender, setLexicon, setLoaded, setLocale, setMetrics, setName, setOrganization, setOutputQueue, setPitch, setPitchRange, setPitchShift, setRate, setRunTitle, setStyle, setVolume, setWaveDumpFile, speak, speak, speak, speak, startBatch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CMUTimeVoice

public CMUTimeVoice(String name, Gender gender, Age age, String description, Locale locale, String domain, String organization, CMULexicon lexicon, URL database)
Creates a simple cluster unit voice

Parameters:
  `name` - the name of the voice
  `gender` - the gender of the voice
  `age` - the age of the voice
  `description` - a human-readable string providing a description that can be displayed for the users.
  `locale` - the locale of the voice
  `domain` - the domain of this voice. For example,
  `organization` - the organization which created the voice "general", "time", or "weather".
  `lexicon` - the lexicon to load
  `database` - the url to the database containing unit data for this voice.

## Method Details

### getPostLexicalAnalyzer

protected UtteranceProcessor getPostLexicalAnalyzer() throws IOException
The FestVox voice does not take advantage of any post lexical processing. As a result, it doesn't end up getting certain units that are expected by the typical post lexical processing. For example, if "the" is followed by a word that begins with a vowel, the typical post lexical processing will change its pronunciation from "dh ax" to "dh iy". We don't want this in this voice.

Overrides:
  `getPostLexicalAnalyzer` in class `CMUVoice`
Returns:
  the post lexical analyzer in use by this voice
Throws:
  `IOException` - if an IO error occurs while getting processor

### toString

public String toString()
Converts this object to a string

Overrides:
  `toString` in class `CMUClusterUnitVoice`
Returns:
  a string representation of this object